Summary: Real-mode video BIOS utility to alter hardware state
Name: vbetool
Version: 0.5
Release: %mkrel 2
License: GPL
Group: System/Configuration/Other
URL: http://www.srcf.ucam.org/~mjg59/vbetool/

Source: http://www.srcf.ucam.org/~mjg59/vbetool/vbetool_%{version}.orig.tar.bz2
Patch: vbetool-compile.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: autoconf, pciutils-devel

ExclusiveArch: %{ix86} x86_64

%description 
vbetool allows you to run real-mode video BIOS code to alter 
hardware state. It uses lrmi in order to run code from the video BIOS. 
Currently, it is able to alter DPMS states, save/restore video card state
and attempts to initialize the video card from scratch.

%prep
%setup -q -n %name-0.4
%patch -p1

%build
autoreconf --force
%configure \
%ifarch x86_64
--with-x86emu 
%endif

%make

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-, root, root, 0755)
%doc COPYING 
%doc %{_mandir}/man1/vbetool.1*
%{_sbindir}/vbetool

%changelog
* Sat May 06 2006 Pascal Terjan <pterjan@mandriva.org> 0.5-2mdk
- only work on x86_{32,64}

* Wed Nov 30 2005 Couriousous <couriousous@mandriva.org> 0.5-1mdk
- 0.5 ( add x86_64 support )
- Better patch from Carl-Daniel Hailfinger ( found on acpi-devel ML )

* Mon Oct 10 2005 Frederic Lepied <flepied@mandriva.com> 0.2-1mdk
- initial Mandriva Linux package based on Koenraad Heijlen's package

